#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.15 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************
PRJ=..$/..$/..$/..

PRJNAME=officecfg
TARGET=data_oopenoffice
PACKAGE=org.openoffice

.INCLUDE :  settings.mk
.INCLUDE :  $(PRJ)$/util$/makefile.pmk

# --- Targets ------------------------------------------------------

XCUFILES= \
    Inet.xcu \
    Setup.xcu \
    VCL.xcu \
    FirstStartWizard.xcu \
    UserProfile.xcu

MODULEFILES= \
    Inet-defaultsearchengine.xcu \
    Setup-brand.xcu \
    Setup-writer.xcu   \
    Setup-calc.xcu   \
    Setup-draw.xcu   \
    Setup-impress.xcu   \
    Setup-base.xcu   \
    Setup-math.xcu \
    Setup-report.xcu \
    Setup-start.xcu

LOCALIZEDFILES=Setup.xcu

SAMPLEFILES= \
    LDAP.xcu.sample

.INCLUDE :  target.mk

LANGUAGEPACKS=$(MISC)$/registry$/spool$/Langpack-{$(alllangiso)}.xcu
SAMPLETARGETS=$(MISC)$/registry$/data$/$(PACKAGEDIR)$/{$(SAMPLEFILES)}

ALLTAR : $(LANGUAGEPACKS)
ALLTAR : $(SAMPLETARGETS)

$(SAMPLETARGETS) : $(SAMPLEFILES)
    -$(MKDIRHIER) $(@:d)
    $(COPY) $< $@

